Package com.orchestranetworks.ui.action

# Class DisplayMode.ModalCustom

java.lang.Object
com.orchestranetworks.ui.action.DisplayMode
com.orchestranetworks.ui.action.DisplayMode.ModalCustom

Enclosing class:
  DisplayMode

public static final class DisplayMode.ModalCustom extends DisplayMode
Indicates that the modal should be of the specified custom size. Width and height can be customized.

Since:
  5.9.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.orchestranetworks.ui.action.DisplayMode

  `DisplayMode.ModalCustom, DisplayMode.ModalMedium, DisplayMode.Workspace`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DisplayMode.ModalCustom`
  `asModalCustom()`
  If this instance is a `DisplayMode.ModalCustom`, casts it and returns it.
  `boolean`
  `equals(Object o)`
  `int`
  `getHeight()`
  `int`
  `getWidth()`
  `int`
  `hashCode()`
  `boolean`
  `isModalCustom()`
  Indicates if this instance is a `DisplayMode.ModalCustom`.
  `boolean`
  `isResizable()`
  `String`
  `toString()`

  ### Methods inherited from class com.orchestranetworks.ui.action.DisplayMode

  `asModalMedium, asWorkspace, isModalMedium, isWorkspace, modalCustom, modalMedium, workspace`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### isModalCustom

    public boolean isModalCustom()
    Description copied from class: `DisplayMode`
    Indicates if this instance is a `DisplayMode.ModalCustom`.
    Overrides:
      `isModalCustom` in class `DisplayMode`

  - ### asModalCustom

    public DisplayMode.ModalCustom asModalCustom()
    Description copied from class: `DisplayMode`
    If this instance is a `DisplayMode.ModalCustom`, casts it and returns it. Returns `null` otherwise.
    Overrides:
      `asModalCustom` in class `DisplayMode`

  - ### getWidth

    public int getWidth()

  - ### getHeight

    public int getHeight()

  - ### isResizable

    public boolean isResizable()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`